Bug 60176 - Can't specify geometry for VNC server
Can't specify geometry for VNC server
Product: Red Hat Linux Beta
Classification: Retired
Component: vnc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: FutureFeature
: 68971 86391 97879 120511 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-02-21 06:33 EST by Bernd Bartmann
Modified: 2007-04-18 12:40 EDT (History)
9 users (show)

See Also:
Fixed In Version: 4.0-1.beta4.11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-14 12:17:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2002-02-21 06:33:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
There is no way to specify the geometry for a VNC server 
in /etc/sysconfig/vncservers

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. setup a new VNC server in /etc/sysconfig/vncservers
2. try to specify a different geometry setting for this server

Additional info:
Comment 1 Tim Waugh 2002-02-22 09:47:43 EST
Do you have a suggestion for how this should work?  Is one global setting
enough, or does it need to be per-user?
Comment 2 Bernd Bartmann 2002-02-22 10:02:50 EST
I see two options how to do this:
1. Add the geometry size for VNC server after the display and username in
/etc/sysconfig/vncservers like this:
VNCSERVER="1:bart:1400x1050 2:admin:1280x1024"
2. Don't use the VNCSERVERS variable. Instead specify all options for a VNC
server on a different line in the config file like this:
1:bart:-geometry 1400x1050 -depth 16
2:admin:-geometry 1280x1050 -depth 32

Another thing I noticed while setting up my VNC servers is that there is no good
error message if there is no .vnc/passwd file. It also would be good if
vncpasswd could create the .vnc directory if it doesn't exists. Otherwise you
can't setup a passwd entry so on has to create the .vnc directory by hand.
Comment 3 Tim Waugh 2002-03-05 07:09:26 EST
I think the first solution is the best.  I'll look at this in the next
development cycle.
Comment 4 Ian Young 2002-04-25 05:32:08 EDT
Two comments on this issue, which I've also had to work round.

First, I would appreciate a solution where the settings can be made on a "per-
user" basis: my application involves connecting from clients with different 
screen geometries and having multiple "users" in VNCSERVERS, with different 
geometries, would make this easier for me.

Secondly, I would appreciate a solution in which more than the geometry can be 
specified.  Ideally, any VNC server option should be specifiable but in 
particular you need to be able to specify both the geometry and the colour 
depth, as otherwise the default 8-bit depth is a bit "blah" on a local network 
where you have the bandwidth to do 24-bit instead.

My current (trivial, unsophisticated) workround involves adding a VNCOPTIONS 
setting in the configuration file along with the VNCSERVERS one, and just 
substituting this into the vncserver command.  This acts as a global option and 
works for me just now, but doesn't address the multiple servers issue.  You 
could extend this idea by having VNCOPTIONS for global settings and 
VNCOPTIONS1, VNCOPTIONS2 etc for the different servers.  I'd be happy to lose 
the global VNCOPTIONS if that made things too complicated.
Comment 5 Tim Waugh 2002-07-17 05:35:26 EDT
*** Bug 68971 has been marked as a duplicate of this bug. ***
Comment 6 Tim Waugh 2003-03-21 09:55:28 EST
*** Bug 86391 has been marked as a duplicate of this bug. ***
Comment 7 Tim Waugh 2003-06-23 13:01:03 EDT
*** Bug 97879 has been marked as a duplicate of this bug. ***
Comment 8 Bernd Bartmann 2003-07-30 12:07:00 EDT
Any news here? There still seems be no fix in Severn Beta1
Comment 12 Tim Waugh 2004-04-14 03:58:57 EDT
*** Bug 120511 has been marked as a duplicate of this bug. ***
Comment 13 Tim Waugh 2004-04-14 03:59:29 EDT
Bug #120511 has a patch which looks like a good approach.
Comment 14 Tim Waugh 2004-04-14 12:17:17 EDT
Patch applied in 4.0-1.beta4.11.

Note You need to log in before you can comment on or make changes to this bug.